# Uses of Enum Class
net.shibboleth.shared.xml.SchemaBuilder.SchemaLanguage

Packages that use SchemaBuilder.SchemaLanguage
Package
Description
net.shibboleth.shared.xml
APIs for parsing and using XML.

## Uses of SchemaBuilder.SchemaLanguage in net.shibboleth.shared.xml

Fields in net.shibboleth.shared.xml declared as SchemaBuilder.SchemaLanguage
Modifier and Type
Field
Description
`private SchemaBuilder.SchemaLanguage`
SchemaBuilder.`schemaLang`
Language of schemas.
Methods in net.shibboleth.shared.xml that return SchemaBuilder.SchemaLanguage
Modifier and Type
Method
Description
`static SchemaBuilder.SchemaLanguage`
SchemaBuilder.SchemaLanguage.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SchemaBuilder.SchemaLanguage[]`
SchemaBuilder.SchemaLanguage.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.xml with parameters of type SchemaBuilder.SchemaLanguage
Modifier and Type
Method
Description
`SchemaBuilder`
SchemaBuilder.`setSchemaLanguage(SchemaBuilder.SchemaLanguage lang)`
Set the schema language.